Get Task Batch
curl --request GET \
--url https://api.nonce.app/private-api/v1/{workspace_id}/farms/{farm_id}/tasks/batches/{batch_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nonce.app/private-api/v1/{workspace_id}/farms/{farm_id}/tasks/batches/{batch_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nonce.app/private-api/v1/{workspace_id}/farms/{farm_id}/tasks/batches/{batch_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"batch": {
"id": "<string>",
"task_name": "<string>",
"status": "succeed",
"task_params": {},
"created_by": {
"type": "user",
"id": "user_2xGz1234567890",
"name": "John Doe",
"avatar": "https://example.com/avatar.png",
"metadata": {}
},
"created_at": "<string>"
},
"tasks": [
{
"id": "<string>",
"miner_id": "<string>",
"status": "succeed",
"created_at": "<string>",
"params": {},
"log_download_url": "<string>",
"log_file_size": 123,
"succeed_at": "<string>",
"failed_at": "<string>",
"error": {
"message": "<string>"
}
}
]
},
"error": null
}{
"statusCode": 400,
"message": "Invalid request parameters",
"error": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid or missing API key",
"error": "Unauthorized"
}{
"statusCode": 403,
"message": "Access denied to workspace",
"error": "Forbidden"
}{
"statusCode": 404,
"message": "Resource not found",
"error": "Not Found"
}Task
Get Task Batch
Returns the status and results of a task batch
GET
/
private-api
/
v1
/
{workspace_id}
/
farms
/
{farm_id}
/
tasks
/
batches
/
{batch_id}
Get Task Batch
Authorizations
Clerk Machine API Key for authentication
⌘I